<?php
require_once"../../template/start.php";
require_once"../../template/regglobals.php";
require_once"../../template/config.php";
require_once"../../template/functions.php";
require_once"../../template/antidos.php";
require_once"../../template/cookies.php";
require_once"../../template/gzip.php";
require_once"../../template/header.php";
require_once"../../template/referer.php";
include_once"../../themes/$config_themes/index.php";
include_once"../../template/isset.php";

include "func.inc";
include "conf.inc";

$text = @file("../../local/profil/$log.prof");
if ($text!="")
{
$udata = explode(":||:",$text[0 ]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);
}
if(!isset($did)){echo "Не выбрана директория для загрузки";
echo"<br>
<center>[<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
[<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
[<a href='../../index.php?SID=$SID'>На главную</a>]</center>";}
 else {
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101 || $dostup==102 || $dostup==103){
 echo"Привет, $log<br>";

$upldid="../files$did";
list($tip,$oform)=file_type("../files$did");
if($act=="load"){
if (($_FILES['fid']['size']) <= $max_size*1024){
if (($_FILES['fid']['size']) <= 1024000){
$fides = file_get_contents($fid);
$prov = htmlspecialchars($fides);}
	   $fidname=trim($fidname);
	   $fidname=utf_to_lat($fidname);
	   $fidname=check_fulls($fidname);
       $fidname=str_replace("/","",$fidname);
       $fidname=str_replace("\/","",$fidname);
       $fidname=str_replace("..","",$fidname);
       $fidname=str_replace("#","",$fidname);
	if((preg_match("/\bphp/i", $fidname)==true) or (preg_match("/\bhtm/i",$fidname)==true) or (preg_match("/\bphtml/i",$fidname)==true) or (preg_match("/\bphp/i",$_FILES['fid']['name'])) or (preg_match("/else/i",$prov)) or (preg_match("/echo/i",$prov)) or (preg_match("/print/i",$prov)) or (preg_match("/base64_decode/i",$prov)) or (preg_match("/Zend/i",$prov))){
		echo "<font color='red'>Попытка залить скрипт.<br>Так делать нельзя!!!</font><br><center>
       	[<a href='Upl.php?did=$did&SID=$SID'>Повторить</a>]<br>
        [<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
        [<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
        [<a href='../../index.php?SID=$SID'>На главную</a>]</center>";
		include_once"../../themes/$config_themes/foot.php"; exit;
	}
	else{
       $format=format($fidname);
       $format2=format($_FILES['fid']['name']);
       if(((array_search($format,$oform))==true and $format==$format2) or ($tip=="java" and ($format=="jar" or $format=="jad") and $format==$format2)){
       	$upl = "../files$did/$fidname";
       	if (file_exists($upl)==false){
       		if((move_uploaded_file($_FILES["fid"]["tmp_name"], $upl))==true){
       			echo "<font color='red'>Файл загружен </font><br>";

       		}else {
       			echo "<font color='red'>Произошла ошибка<br></font><center>[<a href='Upl.php?did=$did'>Повторить</a>]<br>
       			[<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
                [<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
                [<a href='../../index.php?SID=$SID'>На главную</a>]</center>";
				include_once"../../themes/$config_themes/foot.php"; exit;
       		}
       	}
       	else {echo "<font color='red'>Такой файл уже существует.Bведите другое название</font><br><center>
       	[<a href='Upl.php?did=$did&SID=$SID'>Повторить</a>]<br>
        [<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
        [<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
        [<a href='../../index.php?SID=$SID'>На главную</a>]</center>";
		include_once"../../themes/$config_themes/foot.php"; exit;}
       }
       else {echo "<font color='red'>Данный тип файлов запрещен</font><br><center>
       	[<a href='?did=$did&SID=$SID'>Повторить</a>]<br>
        [<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
        [<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
        [<a href='../../index.php?SID=$SID'>На главную</a>]</center>";
		include_once"../../themes/$config_themes/foot.php"; exit;}

}}
else {echo "<font color='red'>Размер Файла превышает лимит</font>
       	[<a href='?did=$did&SID=$SID'>Повторить</a>]<br>
        [<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
        [<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
        [<a href='../../index.php?SID=$SID'>На главную</a>]</center>";
		include_once"../../themes/$config_themes/foot.php"; exit;}

////////////////////////////скрин 1////////////////////////////////
	   $fidname=trim($fidname);
	   $fidname=htmlspecialchars($fidname);
	   $fidname=str_replace("/","",$fidname);
	   $format=format($_FILES['scren1']['name']);
	   list($tip,$oform)=file_type(".");
       if(((array_search($format,$oform))==true)){
       	$upl = '../files'.$did.'/'.$fidname.'.'.$format;

       		if((move_uploaded_file($_FILES["scren1"]["tmp_name"], $upl))==true){
       			echo "<font color='red'>Скриншот 1 загружен </font><br>";

       		}else {
       			echo "<font color='red'>Скриншот 1 не загружен</font><br>";
       		}
       }
       else echo "<font color='red'>Скриншот 1 не загружен</font><br>";
////////////////////////////скрин 2////////////////////////////////
	   $format=format($_FILES['scren2']['name']);
	   list($tip,$oform)=file_type(".");
       if(((array_search($format,$oform))==true)){
       	$upl = '../files'.$did.'/'.$fidname.'.'.$format;

       		if((move_uploaded_file($_FILES["scren2"]["tmp_name"], $upl))==true){
       			echo "<font color='red'>Скриншот 2 загружен </font><br>";

       		}else {
       			echo "<font color='red'>Скриншот 2 не загружен</font><br>";
       		}
       }
       else echo "<font color='red'>Скриншот 2 не загружен</font><br>";

////////////////////////////скрин 3////////////////////////////////
	   $format=format($_FILES['scren3']['name']);
	   list($tip,$oform)=file_type(".");
       if(((array_search($format,$oform))==true)){
       	$upl = '../files'.$did.'/'.$fidname.'.'.$format;

       		if((move_uploaded_file($_FILES["scren3"]["tmp_name"], $upl))==true){
       			echo "<font color='red'>Скриншот 3 загружен </font><br>";

       		}else {
       			echo "<font color='red'>Скриншот 3 не загружен</font><br>";
       		}
       }
       else echo "<font color='red'>Скриншот 3 не загружен</font><br>";

////////////////////////////скрин 4////////////////////////////////
	   $format=format($_FILES['scren4']['name']);
	   list($tip,$oform)=file_type(".");
       if(((array_search($format,$oform))==true)){
       	$upl = '../files'.$did.'/'.$fidname.'.'.$format;

       		if((move_uploaded_file($_FILES["scren4"]["tmp_name"], $upl))==true){
       			echo "<font color='red'>Скриншот 4 загружен </font><br>";

       		}else {
       			echo "<font color='red'>Скриншот 4 не загружен</font><br>";
       		}
       }
       else echo "<font color='red'>Скриншот 4 не загружен</font><br>";

if ($opis!==''){

$opis=check_fulls($opis);
$opis=eregi_replace("((https?|ftp)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&amp;._=/~:%#]*(\\?[[:alnum:]?+&amp;_=/%:#]*)?)?)", "<a href='\\1'>\\1</a>", $opis);
$opis=preg_replace ("|[\r\n]+|si","<br>",$opis);
$opis=str_replace(" ","<br>",$opis);
$opis=str_replace("§","<br>",$opis);
$opis = antimat($opis);
$opis = smiles($opis);
$opis="$opis";
$f=fopen("../files$did/$fidname.txt","w");
fputs($f,$opis);
fclose($f);

echo "<font color='red'>Описание создано</font><br>";}else{echo '<font color="red"> Вы не добавили описание, пожалуйста сделайте это позднее. </font><br>';}

$imya=check_fulls($imya);
$upltime = time();
$ex = pathinfo("../files$did/$fidname");
$ex = $ex[extension];
$rr = str_replace(".".$ex,"",$fidname);
$size = filesize("../files$did/$fidname");
$dik=str_replace("/", "", $did);
$fn=@file("../baze/$dik.baz");
$count = count($fn)+1;
$fp=fopen("../baze/$dik.baz","a+");
flock ($fp,LOCK_EX);
	$zap = "$count|0|0|0|$log||$upltime|$size|$imya|$rr|$ex|$did/$fidname|\r\n";
	fputs($fp,"$zap");
	fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
@chmod("$fp", 0666);

echo "<center>
		[<a href='Upl.php?did=$did&SID=$SID'>Загрузить ещё</a>]<br>
		[<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
        [<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
        [<a href='../../index.php?SID=$SID'>На главную</a>]</center>";

include_once"../../themes/$config_themes/foot.php";
}
else {
echo "Максимальный размер файла для загрузки: $max_size Кб<br>
Разрешенные форматы для загрузки:<br>";
	if($tip=="java"){echo "jar и jad<br>";}else{
	foreach ($oform as $val){
		if ($val!==""){
	echo "[$val]<br>";}
	}}
	echo"<form action=\"?act=load&did=$did&SID=$SID\" method='post' enctype='multipart/form-data'>
         Выберите файл:<br>
         <input type=file name=fid><br>

         Сохранить как:<br>
         <input type=text name=fidname><br>";

		 echo "<br>Не обязательные параметры:<br>
Описание:<br>
<textarea name=\"opis\" cols=50 rows=10></textarea><br>
Название Файла для отображения:<br>
<input type=\"text\" name=\"imya\"><br><br>";

		if ($tip!=='img'){
		 	echo"Вы можете выгрузить до четырех разных скриншотов к одному файлу,<br>
			единственным условием правильной выгрузки является <br>
			различие всех четырех скриншотов по формату, т.е. если Вы <br>
			укажете два разных скриншота в одном формате то сохранится только <br>
			<font color='red'>ПОСЛЕДНИЙ</font> из них!!!<br><br>
	Разрешенные форматы для загрузки скриншотов:<br>";
	list($tip,$oform)=file_type(".");
	foreach ($oform as $val_scr){
		if ($val_scr!==""){
	echo "[$val_scr]<br>";}
	}
         echo "Скриншот 1.<br>
         <input type=file name=scren1><br>";
		 echo "Скриншот 2.<br>
         <input type=file name=scren2><br>";
		 echo "Скриншот 3.<br>
         <input type=file name=scren3><br>";
		 echo "Скриншот 4.<br>
         <input type=file name=scren4><br>";}

		 echo "
         <input type=submit value='Загрузить'><br>
         </form>";
}
}else{ echo "Вам сюда нельзя!!!<br>";}
}else{ echo "Идите пожалуйста НАХУЙ!!!<br>";}
echo "<center>[<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
[<a href='../index.php?SID=$SID'>К загрузкам</a>]<br>
[<a href='../../index.php?SID=$SID'>На главную</a>]</center>";}
include_once"../../themes/$config_themes/foot.php";
?>